[data-role="select-pure"] { width:100%; position:relative; margin-bottom:1em; background-color:transparent !important; border-width:0px; }
[data-role="select-pure"] > label { width:100%; }
[data-role="select-pure"] > .description { padding-top:0.5em; padding-bottom:0.5em; }
[data-role="select-pure"] > select { 
    box-sizing:border-box; 
    border:1px solid; 
    border-top-right-radius:0px; 
    border-top-left-radius:0px; 
    border-top:none !important;
    border-right:none !important;
    border-left:none !important;
    border-color:inherit; 
    margin-top:-3em !important;
    margin-bottom:0 !important;
    position:relative;
    z-index:0;
    height:100%  !important;
    display:none !important;
} 
[data-role="select-pure"] > span.select-pure { 
    position:relative;
    display:inline-block;
    box-sizing:border-box;
    bottom:0;
    min-height:1em;
    height:auto;
    width:100%; 
    border-color:inherit;
    border-width:1px; 
    border-style:solid;
    padding:0px !important; 
    margin:0px !important; 
    border-top-width:0px !important;
    border-left-width:0px !important;
    border-right-width:0px !important;
}
[data-role="select-pure"] > span.select-pure:after { 
    content: "\2304";
    font-size:1.5em;
    color:var(--cavelo-black);
    position: absolute;
    bottom: 2.5rem;
    right: 0.8em;
    width: 0;
    height: 0;
}
[data-role="select-pure"] .select-pure__label { z-index:0 !important; border-width:0px !important;  }
[data-role="select-pure"] .select-pure__placeholder { z-index:0 !important; border-width:0px !important; }
[data-role="select-pure"] .select-pure__options,
[data-role="select-pure"] .select-pure__options > * { z-index:10; background-color:var(--cavelo-white) !important; }


.select-pure__select {
    line-height:1;
    box-sizing:border-box;
    height:auto; width:100%;
    min-height:2.4em;
    font-size: 1em;
    position:relative;
    border-bottom-color:inherit;
}

.select-pure__label { 
    box-sizing:border-box;
    min-height:2.6em;
    height:auto; width:100%; 
    padding:0.8em 0.5em 0.5em 0.5em;
    border-width:0px;
    border-bottom:1px solid;
    border-bottom-color:inherit;
    color:var(--cavelo-black);
    cursor:pointer;
}

.select-pure__label > * { vertical-align:middle; }

.select-pure__placeholder {
    position:absolute;
    top:0.5em; left:0.4em;
    color:var(--cavelo-black);
    display: inline-block;
    font-size:0.97em;
    padding:0.25em 0.5em;
    margin-right:0.1em;
    vertical-align:bottom;

}

.select-pure__placeholder--hidden {
    display:none;
}

.select-pure__options {
    box-sizing:border-box;
    width:100%; height:auto;
    max-height:200px;
    overflow-y:auto;
    overflow-x:hidden;
    display: none;
    position:absolute;
    top:2.6em;
    background:var(--cavelo-white);
    border:1px solid var(--cavelo-grey);
    z-index:500;
    box-shadow: rgba(0,0,0, 0.5) 0px 0px 10px 0px;
    font-size: 1em;
}

.select-pure__select--opened .select-pure__options {
    display: block;
}

.select-pure__option {
    background-color:var(--cavelo-white); 
    border:1px solid var(--cavelo-platinum);
    padding:0.5em;
    font-size: 1em;
    cursor:pointer;
}

.select-pure__option--selected {
    color: var(--cavelo-black);
    cursor: initial;
    pointer-events: none;
    display:none;
}

.select-pure__option--hidden {
    display: none;
}

.select-pure__selected-label {
    position:relative;
    background: var(--cavelo-grey);
    border-radius: 4px;
    color: var(--cavelo-white);
    cursor: initial;
    display: inline-block;
    font-size:0.9em;
    padding:0.25em 0.5em;
    margin-right:0.2em;
    margin-bottom:0.2em;
    vertical-align:bottom;
    word-break: break-all;
    max-width:90%;
}

.select-pure__selected-label:last-of-type {
    margin-right: 0;
}

.select-pure__selected-label i {
    cursor: pointer;
    display: inline-block;
    margin-left: 7px;
}

.select-pure__selected-label i:hover {
    color: #e4e4e4;
}

.select-pure__autocomplete {
    background: var(--cavelo-white);
    border-color:inherit;
    box-sizing: border-box;
    font-size: 1em;
    outline: none;
    padding:0.5em;
    width: 100%;
    color:var(--cavelo-grey);
}
